SDL_GPUBlitRegion Struct Reference

`#include <SDL_gpu.h>`

## Data Fields

SDL_GPUTexture * | texture
Uint32 | mip_level
Uint32 | layer_or_depth_plane
Uint32 | x
Uint32 | y
Uint32 | w
Uint32 | h

## Detailed Description

A structure specifying a region of a texture used in the blit operation.

Since
  This struct is available since SDL 3.2.0.

See also
  SDL_BlitGPUTexture

Definition at line 1487 of file SDL_gpu.h.

## Field Documentation

## h

Uint32 SDL_GPUBlitRegion::h

The height of the region.

Definition at line 1495 of file SDL_gpu.h.

## layer_or_depth_plane

Uint32 SDL_GPUBlitRegion::layer_or_depth_plane

The layer index or depth plane of the region. This value is treated as a layer index on 2D array and cube textures, and as a depth plane on 3D textures.

Definition at line 1491 of file SDL_gpu.h.

## mip_level

Uint32 SDL_GPUBlitRegion::mip_level

The mip level index of the region.

Definition at line 1490 of file SDL_gpu.h.

## texture

SDL_GPUTexture* SDL_GPUBlitRegion::texture

The texture.

Definition at line 1489 of file SDL_gpu.h.

## w

Uint32 SDL_GPUBlitRegion::w

The width of the region.

Definition at line 1494 of file SDL_gpu.h.

## x

Uint32 SDL_GPUBlitRegion::x

The left offset of the region.

Definition at line 1492 of file SDL_gpu.h.

## y

Uint32 SDL_GPUBlitRegion::y

The top offset of the region.

Definition at line 1493 of file SDL_gpu.h.

The documentation for this struct was generated from the following file:

- SDL_gpu.h